Subject: [mobile-ip] FastRA RS Congestion

From: "James Kempf" <[email-masked]>
Date: Wed, 30 Oct 2002 16:02:47 -0800

A point was brought up on the list that in order to make FastRA defined in
draft-mkahlil-fastra-01.txt work, the MAX_RTR_SOLICITATION_DELAY on the host
must be set to zero and this would cause RS congestion if an access point failed
or a group of mobile nodes moved at once.

While this could be true on a wired link, on a wireless link it probably won't
be true. For example, in 802.11, the first frame sent after handover is
Authentication.Request(). If a group of mobile nodes moves at once, the CSMA/CA
backoff on the link layer frames will space out the RSs sent after the
authentication and reassociation process. For CDMA, the mobile nodes effectively
have separate channels, and the radio resource management algorithms in the
radio access network will assure that there is no collision. Generalization is
always questionable, but since wireless is by nature a broadcast medium, the
radio resource and link management algorithm typically have to take these kinds
of situations into account.

            jak